%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-Statistics-Descriptive
Version:        2.6
Release:        1
Summary:        Perl module of basic descriptive statistical functions

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Statistics-Descriptive/
Source0:        http://www.cpan.org/authors/id/C/CO/COLINK/Statistics-Descriptive-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:  perl >= 5.8.8

%description
This module provides basic functions used in descriptive
statistics. It has an object oriented design and supports two
different types of data storage and calculation objects: sparse and
full. With the sparse method, none of the data is stored and only a
few statistical measures are available. Using the full method, the
entire data set is retained and additional functions are available.


%prep
%setup -q -n Statistics-Descriptive-%{version}


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changes README UserSurvey.txt
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Nov 09 2008 Michael Perzl <michael@perzl.org> - 2.6-1
- first version for AIX V5.1 and higher
